import * as SchemaTypes from '../generated-models';
import * as ApolloReactCommon from '@apollo/react-common';
import * as React from 'react';
import * as ApolloReactComponents from '@apollo/react-components';
import * as ApolloReactHoc from '@apollo/react-hoc';
import * as ApolloReactHooks from '@apollo/react-hooks';
export declare type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
export declare const AddCounterStateDocument: import("graphql").DocumentNode;
export declare type AddCounterStateMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.AddCounterStateMutation, SchemaTypes.AddCounterStateMutationVariables>;
export declare type AddCounterStateComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.AddCounterStateMutation, SchemaTypes.AddCounterStateMutationVariables>, 'mutation'>;
export declare const AddCounterStateComponent: (props: AddCounterStateComponentProps) => JSX.Element;
export declare type AddCounterStateProps<TChildProps = {}> = ApolloReactHoc.MutateProps<SchemaTypes.AddCounterStateMutation, SchemaTypes.AddCounterStateMutationVariables> | TChildProps;
export declare function withAddCounterState<TProps, TChildProps = {}>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.AddCounterStateMutation, SchemaTypes.AddCounterStateMutationVariables, AddCounterStateProps<TChildProps>>): (WrappedComponent: React.ComponentType<(TProps & ApolloReactHoc.MutateProps<SchemaTypes.AddCounterStateMutation, SchemaTypes.AddCounterStateMutationVariables>) | (TProps & TChildProps)>) => React.ComponentClass<TProps, any>;
/**
 * __useAddCounterStateMutation__
 *
 * To run a mutation, you first call `useAddCounterStateMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useAddCounterStateMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [addCounterStateMutation, { data, loading, error }] = useAddCounterStateMutation({
 *   variables: {
 *      amount: // value for 'amount'
 *   },
 * });
 */
export declare function useAddCounterStateMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.AddCounterStateMutation, SchemaTypes.AddCounterStateMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.AddCounterStateMutation, SchemaTypes.AddCounterStateMutationVariables>;
export declare type AddCounterStateMutationHookResult = ReturnType<typeof useAddCounterStateMutation>;
export declare type AddCounterStateMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.AddCounterStateMutation>;
export declare type AddCounterStateMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.AddCounterStateMutation, SchemaTypes.AddCounterStateMutationVariables>;
export declare const AddCounterDocument: import("graphql").DocumentNode;
export declare type AddCounterMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.AddCounterMutation, SchemaTypes.AddCounterMutationVariables>;
export declare type AddCounterComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.AddCounterMutation, SchemaTypes.AddCounterMutationVariables>, 'mutation'>;
export declare const AddCounterComponent: (props: AddCounterComponentProps) => JSX.Element;
export declare type AddCounterProps<TChildProps = {}> = ApolloReactHoc.MutateProps<SchemaTypes.AddCounterMutation, SchemaTypes.AddCounterMutationVariables> | TChildProps;
export declare function withAddCounter<TProps, TChildProps = {}>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.AddCounterMutation, SchemaTypes.AddCounterMutationVariables, AddCounterProps<TChildProps>>): (WrappedComponent: React.ComponentType<(TProps & ApolloReactHoc.MutateProps<SchemaTypes.AddCounterMutation, SchemaTypes.AddCounterMutationVariables>) | (TProps & TChildProps)>) => React.ComponentClass<TProps, any>;
/**
 * __useAddCounterMutation__
 *
 * To run a mutation, you first call `useAddCounterMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useAddCounterMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [addCounterMutation, { data, loading, error }] = useAddCounterMutation({
 *   variables: {
 *      amount: // value for 'amount'
 *   },
 * });
 */
export declare function useAddCounterMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.AddCounterMutation, SchemaTypes.AddCounterMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.AddCounterMutation, SchemaTypes.AddCounterMutationVariables>;
export declare type AddCounterMutationHookResult = ReturnType<typeof useAddCounterMutation>;
export declare type AddCounterMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.AddCounterMutation>;
export declare type AddCounterMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.AddCounterMutation, SchemaTypes.AddCounterMutationVariables>;
export declare const AddCounter_WsDocument: import("graphql").DocumentNode;
export declare type AddCounter_WsMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.AddCounter_WsMutation, SchemaTypes.AddCounter_WsMutationVariables>;
export declare type AddCounter_WsComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.AddCounter_WsMutation, SchemaTypes.AddCounter_WsMutationVariables>, 'mutation'>;
export declare const AddCounter_WsComponent: (props: AddCounter_WsComponentProps) => JSX.Element;
export declare type AddCounter_WsProps<TChildProps = {}> = ApolloReactHoc.MutateProps<SchemaTypes.AddCounter_WsMutation, SchemaTypes.AddCounter_WsMutationVariables> | TChildProps;
export declare function withAddCounter_Ws<TProps, TChildProps = {}>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.AddCounter_WsMutation, SchemaTypes.AddCounter_WsMutationVariables, AddCounter_WsProps<TChildProps>>): (WrappedComponent: React.ComponentType<(TProps & ApolloReactHoc.MutateProps<SchemaTypes.AddCounter_WsMutation, SchemaTypes.AddCounter_WsMutationVariables>) | (TProps & TChildProps)>) => React.ComponentClass<TProps, any>;
/**
 * __useAddCounter_WsMutation__
 *
 * To run a mutation, you first call `useAddCounter_WsMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useAddCounter_WsMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [addCounterWsMutation, { data, loading, error }] = useAddCounter_WsMutation({
 *   variables: {
 *      amount: // value for 'amount'
 *   },
 * });
 */
export declare function useAddCounter_WsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.AddCounter_WsMutation, SchemaTypes.AddCounter_WsMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.AddCounter_WsMutation, SchemaTypes.AddCounter_WsMutationVariables>;
export declare type AddCounter_WsMutationHookResult = ReturnType<typeof useAddCounter_WsMutation>;
export declare type AddCounter_WsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.AddCounter_WsMutation>;
export declare type AddCounter_WsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.AddCounter_WsMutation, SchemaTypes.AddCounter_WsMutationVariables>;
export declare const SyncCachedCounterDocument: import("graphql").DocumentNode;
export declare type SyncCachedCounterMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.SyncCachedCounterMutation, SchemaTypes.SyncCachedCounterMutationVariables>;
export declare type SyncCachedCounterComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.SyncCachedCounterMutation, SchemaTypes.SyncCachedCounterMutationVariables>, 'mutation'>;
export declare const SyncCachedCounterComponent: (props: SyncCachedCounterComponentProps) => JSX.Element;
export declare type SyncCachedCounterProps<TChildProps = {}> = ApolloReactHoc.MutateProps<SchemaTypes.SyncCachedCounterMutation, SchemaTypes.SyncCachedCounterMutationVariables> | TChildProps;
export declare function withSyncCachedCounter<TProps, TChildProps = {}>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.SyncCachedCounterMutation, SchemaTypes.SyncCachedCounterMutationVariables, SyncCachedCounterProps<TChildProps>>): (WrappedComponent: React.ComponentType<(TProps & ApolloReactHoc.MutateProps<SchemaTypes.SyncCachedCounterMutation, SchemaTypes.SyncCachedCounterMutationVariables>) | (TProps & TChildProps)>) => React.ComponentClass<TProps, any>;
/**
 * __useSyncCachedCounterMutation__
 *
 * To run a mutation, you first call `useSyncCachedCounterMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useSyncCachedCounterMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [syncCachedCounterMutation, { data, loading, error }] = useSyncCachedCounterMutation({
 *   variables: {
 *   },
 * });
 */
export declare function useSyncCachedCounterMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.SyncCachedCounterMutation, SchemaTypes.SyncCachedCounterMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.SyncCachedCounterMutation, SchemaTypes.SyncCachedCounterMutationVariables>;
export declare type SyncCachedCounterMutationHookResult = ReturnType<typeof useSyncCachedCounterMutation>;
export declare type SyncCachedCounterMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.SyncCachedCounterMutation>;
export declare type SyncCachedCounterMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.SyncCachedCounterMutation, SchemaTypes.SyncCachedCounterMutationVariables>;
export declare const CounterCacheQueryDocument: import("graphql").DocumentNode;
export declare type CounterCacheQueryComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.CounterCacheQueryQuery, SchemaTypes.CounterCacheQueryQueryVariables>, 'query'>;
export declare const CounterCacheQueryComponent: (props: CounterCacheQueryComponentProps) => JSX.Element;
export declare type CounterCacheQueryProps<TChildProps = {}> = ApolloReactHoc.DataProps<SchemaTypes.CounterCacheQueryQuery, SchemaTypes.CounterCacheQueryQueryVariables> | TChildProps;
export declare function withCounterCacheQuery<TProps, TChildProps = {}>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.CounterCacheQueryQuery, SchemaTypes.CounterCacheQueryQueryVariables, CounterCacheQueryProps<TChildProps>>): (WrappedComponent: React.ComponentType<(TProps & ApolloReactHoc.DataProps<SchemaTypes.CounterCacheQueryQuery, SchemaTypes.CounterCacheQueryQueryVariables>) | (TProps & TChildProps)>) => React.ComponentClass<TProps, any>;
/**
 * __useCounterCacheQueryQuery__
 *
 * To run a query within a React component, call `useCounterCacheQueryQuery` and pass it any options that fit your needs.
 * When your component renders, `useCounterCacheQueryQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useCounterCacheQueryQuery({
 *   variables: {
 *   },
 * });
 */
export declare function useCounterCacheQueryQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.CounterCacheQueryQuery, SchemaTypes.CounterCacheQueryQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.CounterCacheQueryQuery, SchemaTypes.CounterCacheQueryQueryVariables>;
export declare function useCounterCacheQueryLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.CounterCacheQueryQuery, SchemaTypes.CounterCacheQueryQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.CounterCacheQueryQuery, SchemaTypes.CounterCacheQueryQueryVariables>;
export declare type CounterCacheQueryQueryHookResult = ReturnType<typeof useCounterCacheQueryQuery>;
export declare type CounterCacheQueryLazyQueryHookResult = ReturnType<typeof useCounterCacheQueryLazyQuery>;
export declare type CounterCacheQueryQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.CounterCacheQueryQuery, SchemaTypes.CounterCacheQueryQueryVariables>;
export declare const CounterStateDocument: import("graphql").DocumentNode;
export declare type CounterStateComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.CounterStateQuery, SchemaTypes.CounterStateQueryVariables>, 'query'>;
export declare const CounterStateComponent: (props: CounterStateComponentProps) => JSX.Element;
export declare type CounterStateProps<TChildProps = {}> = ApolloReactHoc.DataProps<SchemaTypes.CounterStateQuery, SchemaTypes.CounterStateQueryVariables> | TChildProps;
export declare function withCounterState<TProps, TChildProps = {}>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.CounterStateQuery, SchemaTypes.CounterStateQueryVariables, CounterStateProps<TChildProps>>): (WrappedComponent: React.ComponentType<(TProps & ApolloReactHoc.DataProps<SchemaTypes.CounterStateQuery, SchemaTypes.CounterStateQueryVariables>) | (TProps & TChildProps)>) => React.ComponentClass<TProps, any>;
/**
 * __useCounterStateQuery__
 *
 * To run a query within a React component, call `useCounterStateQuery` and pass it any options that fit your needs.
 * When your component renders, `useCounterStateQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useCounterStateQuery({
 *   variables: {
 *   },
 * });
 */
export declare function useCounterStateQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.CounterStateQuery, SchemaTypes.CounterStateQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.CounterStateQuery, SchemaTypes.CounterStateQueryVariables>;
export declare function useCounterStateLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.CounterStateQuery, SchemaTypes.CounterStateQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.CounterStateQuery, SchemaTypes.CounterStateQueryVariables>;
export declare type CounterStateQueryHookResult = ReturnType<typeof useCounterStateQuery>;
export declare type CounterStateLazyQueryHookResult = ReturnType<typeof useCounterStateLazyQuery>;
export declare type CounterStateQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.CounterStateQuery, SchemaTypes.CounterStateQueryVariables>;
export declare const CounterQueryDocument: import("graphql").DocumentNode;
export declare type CounterQueryComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.CounterQueryQuery, SchemaTypes.CounterQueryQueryVariables>, 'query'>;
export declare const CounterQueryComponent: (props: CounterQueryComponentProps) => JSX.Element;
export declare type CounterQueryProps<TChildProps = {}> = ApolloReactHoc.DataProps<SchemaTypes.CounterQueryQuery, SchemaTypes.CounterQueryQueryVariables> | TChildProps;
export declare function withCounterQuery<TProps, TChildProps = {}>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.CounterQueryQuery, SchemaTypes.CounterQueryQueryVariables, CounterQueryProps<TChildProps>>): (WrappedComponent: React.ComponentType<(TProps & ApolloReactHoc.DataProps<SchemaTypes.CounterQueryQuery, SchemaTypes.CounterQueryQueryVariables>) | (TProps & TChildProps)>) => React.ComponentClass<TProps, any>;
/**
 * __useCounterQueryQuery__
 *
 * To run a query within a React component, call `useCounterQueryQuery` and pass it any options that fit your needs.
 * When your component renders, `useCounterQueryQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useCounterQueryQuery({
 *   variables: {
 *   },
 * });
 */
export declare function useCounterQueryQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.CounterQueryQuery, SchemaTypes.CounterQueryQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.CounterQueryQuery, SchemaTypes.CounterQueryQueryVariables>;
export declare function useCounterQueryLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.CounterQueryQuery, SchemaTypes.CounterQueryQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.CounterQueryQuery, SchemaTypes.CounterQueryQueryVariables>;
export declare type CounterQueryQueryHookResult = ReturnType<typeof useCounterQueryQuery>;
export declare type CounterQueryLazyQueryHookResult = ReturnType<typeof useCounterQueryLazyQuery>;
export declare type CounterQueryQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.CounterQueryQuery, SchemaTypes.CounterQueryQueryVariables>;
export declare const OnCounterUpdatedDocument: import("graphql").DocumentNode;
export declare type OnCounterUpdatedComponentProps = Omit<ApolloReactComponents.SubscriptionComponentOptions<SchemaTypes.OnCounterUpdatedSubscription, SchemaTypes.OnCounterUpdatedSubscriptionVariables>, 'subscription'>;
export declare const OnCounterUpdatedComponent: (props: OnCounterUpdatedComponentProps) => JSX.Element;
export declare type OnCounterUpdatedProps<TChildProps = {}> = ApolloReactHoc.DataProps<SchemaTypes.OnCounterUpdatedSubscription, SchemaTypes.OnCounterUpdatedSubscriptionVariables> | TChildProps;
export declare function withOnCounterUpdated<TProps, TChildProps = {}>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.OnCounterUpdatedSubscription, SchemaTypes.OnCounterUpdatedSubscriptionVariables, OnCounterUpdatedProps<TChildProps>>): (WrappedComponent: React.ComponentType<(TProps & ApolloReactHoc.DataProps<SchemaTypes.OnCounterUpdatedSubscription, SchemaTypes.OnCounterUpdatedSubscriptionVariables>) | (TProps & TChildProps)>) => React.ComponentClass<TProps, any>;
/**
 * __useOnCounterUpdatedSubscription__
 *
 * To run a query within a React component, call `useOnCounterUpdatedSubscription` and pass it any options that fit your needs.
 * When your component renders, `useOnCounterUpdatedSubscription` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the subscription, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useOnCounterUpdatedSubscription({
 *   variables: {
 *   },
 * });
 */
export declare function useOnCounterUpdatedSubscription(baseOptions?: ApolloReactHooks.SubscriptionHookOptions<SchemaTypes.OnCounterUpdatedSubscription, SchemaTypes.OnCounterUpdatedSubscriptionVariables>): {
    variables: SchemaTypes.OnCounterUpdatedSubscriptionVariables;
    loading: boolean;
    data?: SchemaTypes.OnCounterUpdatedSubscription;
    error?: import("apollo-client").ApolloError;
};
export declare type OnCounterUpdatedSubscriptionHookResult = ReturnType<typeof useOnCounterUpdatedSubscription>;
export declare type OnCounterUpdatedSubscriptionResult = ApolloReactCommon.SubscriptionResult<SchemaTypes.OnCounterUpdatedSubscription>;
